SDL_RemoveEventWatch(3)

NAME
SDL_RemoveEventWatch - Remove an event watch callback added with SDL_AddEventWatch().

SYNOPSIS
#include <SDL3/SDL_events.h>

void SDL_RemoveEventWatch(SDL_EventFilter filter, void *userdata);

DESCRIPTION
This function takes the same input as SDL_AddEventWatch() to identify and delete the corresponding callback.

FUNCTION PARAMETERS

filter
    the function originally passed to SDL_AddEventWatch().

userdata
    the pointer originally passed to SDL_AddEventWatch().

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_AddEventWatch(3)